> ## Documentation Index
> Fetch the complete documentation index at: https://help.treble.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all conversations

> This endpoint allows you to get all conversations (flows) that belong to your company.



## OpenAPI

````yaml open-api-files/treble-api-en.json GET /poll/api/all
openapi: 3.0.1
info:
  title: Treble Poll API
  description: Documentation for the poll deployment endpoint in Treble
  version: 1.0.0
servers:
  - url: https://main.treble.ai
    description: Main Treble server
  - url: https://yourdomain.com
    description: >-
      Example server for implementing webhooks. This represents YOUR server
      where you must implement the endpoints that Treble will call.
security: []
tags:
  - name: Webhooks
    description: >-
      Endpoints that Treble will call on your server. These are not real
      endpoints that you can call, but a representation of the webhooks that
      Treble will invoke in your system.
paths:
  /poll/api/all:
    get:
      summary: Get all conversations (flows) from your company
      description: >-
        This endpoint allows you to get all conversations (flows) that belong to
        your company.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            Authorization API Key. Can be obtained at
            https://app.treble.ai/en/dashboard/settings/developers
          schema:
            type: string
          example: API_KEY
      responses:
        '200':
          description: List of conversations obtained correctly
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Conversation'
              example:
                - id: 1
                  name: First conversation
                - id: 2
                  name: CRM integration
        '401':
          description: Unauthorized. Invalid or missing API Key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error description
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error description
components:
  schemas:
    Conversation:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          description: Unique ID of the conversation
        name:
          type: string
          description: Name of the conversation

````